Subject: Re: [RFC PATCH 8/9] gnu: Add chez-scheme-racket-variant.

From: Philip McGrath <[email-masked]>
Date: Wed, 9 Feb 2022 20:30:08 -0500

Hi,

On 2/9/22 08:42, Liliana Marie Prikler wrote:
> Am Dienstag, dem 08.02.2022 um 10:18 -0500 schrieb Philip McGrath:
> This patch does a lot and should probably be separated into several
> commits.  As far as the name "chez-scheme-racket-variant" is concerned,
> I am not really a fan of it.  How would "chez-scheme-for-racket" sound?
> 

Thanks for taking a look!

Calling it "chez-scheme-for-racket" is fine with me---it's a little 
shorter, at least.

As far as splitting it up, yes, that makes sense. (There had at one 
point been some entanglements that I thought would make that difficult, 
but I've since fixed all those issues anyway.) What do you think of 
splitting it like this?

 >> * gnu/packages/patches/racket-enable-scheme-backport.patch: New
 >> patch.
 >> * gnu/local.mk (dist_patch_DATA): Add it.
 >> * gnu/packages/chez-and-racket-bootstrap.scm (racket-vm-cgc):
---
 >> (racket-vm-bc):
---
 >> (racket-vm-cs):
---
 >> (chez-scheme-racket-variant-bootstrap-bootfiles):
 >> (chez-scheme-racket-variant): New variables.
---
 >> (chez-scheme-for-system,
---
 >> (chez-mit)[origin]<snippet>: Add workaround for Racket variant.
---
 >> * gnu/packages/loko.scm (loko-scheme): Use 'chez-scheme-for-system'.
 >> * gnu/packages/emacs-xyz.scm (emacs-geiser-chez): Likewise
 >> * gnu/packages/chez.scm (chez-srfi):
 >> (chez-web):
 >> (chez-sockets):
 >> (chez-matchable):
 >> (chez-irregex):
 >> (chez-fmt):
 >> (chez-mit):
 >> (chez-scmutils): Likewise.
---
 >> racket-vm-for-system): New exported
 >> functions.

Alternatively, I could see adding the snippet to "chez-mit" in the same 
commit as changing it to use "chez-scheme-for-system", or I could split 
each changed package into its own commit (though those would be 
extremely small), or put the definition of "chez-scheme-for-system" 
together with its uses, or ...

Racket 8.4 was just released,[0] so I plan to send a revised series 
today or tomorrow.

-Philip

[0]: https://blog.racket-lang.org/2022/02/racket-v8-4.html